package com.bocloud.nms.model.veeam.job;

public class BackupApplicationSettingsModel {

    private VmwareObjectModel vmObject;
    private String vss;
    private boolean usePersistentGuestAgent;
    private String transactionLogs;
    private BackupSQLSettingsModel sql;
    private BackupOracleSettingsModel oracle;
    private BackupFSExclusionsModel exclusions;
    private BackupScriptSettingsModel scripts;

    public VmwareObjectModel getVmObject() {
        return vmObject;
    }

    public void setVmObject(VmwareObjectModel vmObject) {
        this.vmObject = vmObject;
    }

    public String getVss() {
        return vss;
    }

    public void setVss(String vss) {
        this.vss = vss;
    }

    public boolean isUsePersistentGuestAgent() {
        return usePersistentGuestAgent;
    }

    public void setUsePersistentGuestAgent(boolean usePersistentGuestAgent) {
        this.usePersistentGuestAgent = usePersistentGuestAgent;
    }

    public String getTransactionLogs() {
        return transactionLogs;
    }

    public void setTransactionLogs(String transactionLogs) {
        this.transactionLogs = transactionLogs;
    }

    public BackupSQLSettingsModel getSql() {
        return sql;
    }

    public void setSql(BackupSQLSettingsModel sql) {
        this.sql = sql;
    }

    public BackupOracleSettingsModel getOracle() {
        return oracle;
    }

    public void setOracle(BackupOracleSettingsModel oracle) {
        this.oracle = oracle;
    }

    public BackupFSExclusionsModel getExclusions() {
        return exclusions;
    }

    public void setExclusions(BackupFSExclusionsModel exclusions) {
        this.exclusions = exclusions;
    }

    public BackupScriptSettingsModel getScripts() {
        return scripts;
    }

    public void setScripts(BackupScriptSettingsModel scripts) {
        this.scripts = scripts;
    }

    @Override public String toString() {
        return "BackupApplicationSettingsModel{" + "vmObject=" + vmObject + ", vss='" + vss + '\''
            + ", usePersistentGuestAgent=" + usePersistentGuestAgent + ", transactionLogs='" + transactionLogs + '\''
            + ", sql=" + sql + ", oracle=" + oracle + ", exclusions=" + exclusions + ", scripts=" + scripts + '}';
    }
}
